Bug 526319

Summary: SASL IO sometimes loops with "error: would block"
Product: [Retired] 389 Reporter: Rich Megginson <rmeggins>
Component: Security - SASLAssignee: Rich Megginson <rmeggins>
Status: CLOSED CURRENTRELEASE QA Contact: Viktor Ashirov <vashirov>
Severity: high Docs Contact:
Priority: high    
Version: 1.2.1CC: edewata, jgalipea, nkinder
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-07 16:46:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 434914, 519216    
Attachments:
Description Flags
patch none

Description Rich Megginson 2009-09-29 19:43:58 UTC
Using SASL auth and a SASL security layer (e.g. ldapsearch -O minssf=128), the directory server will sometimes start looping forever printing a message like this to the errors log:

[29/Sep/2009:11:17:52 -0400] - sasl_io_start_packet: error reading sasl packet length on connection 25 -5998:The operation would have blocked

This is easy to reproduce with samba4 initialization, when it opens several LDAPI connections and attempts DIGEST-MD5 auth, but it has also been reported with IPA using LDAP with GSSAPI.

Comment 1 Rich Megginson 2009-09-29 21:49:05 UTC
Created attachment 363058 [details]
patch

Endi reports this patch fixes the problems he saw with SASL DIGEST-MD5 with ssf=128 and LDAPI when testing samba4

Comment 2 Rich Megginson 2009-09-29 22:56:25 UTC
To ssh://git.fedorahosted.org/git/389/ds.git
   467df90..675508c  master -> master

commit 675508c6b5482161510514055d0d42006471551b
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Tue Sep 29 14:08:35 2009 -0600

    Reviewed by: nkinder (Thanks!)
    Fix Description: The semantics for recv() are that it returns -1 for errors,
 0 for connection closed, and non-zero for some bytes received.  The sasl code w
as not using those semantics - it was returning 0 for successful read and -1 for
 error.  Although I have not been able to reproduce the exact failure, what I be
lieve is happening is that the initial read of the packet length in sasl_io_star
t_packet() works, and the sasl IO is received.  At some point, the connection is
    closed by the client, and the PR_Recv return of 0 is not handled correctly, 
and somehow the errno gets set to EWOULDBLOCK.  From this point on, PR_Recv() wi
ll return -1 (since the socket has been closed) and errno is not reset from EWOU
LDBLOCK.
    The fix is to make sure the sasl IO code handles the PR_Recv() return value
    correctly.
    Note that with CONNS (8) error log level, you may still occasionally see "wo
uld block" errors, but as long as they are not endlessly repeating, this should
    be ok.
    Platforms tested: RHEL5 x86_64
    Flag Day: no
    Doc impact: no

Comment 5 Jenny Severance 2010-05-21 18:15:27 UTC
verified - RHEL 4

version:
redhat-ds-base-8.2.0-2010052104.el4dsrv

1. Added the following user with large jpeg attribute:

# /usr/lib/mozldap6/ldapsearch -o "mech=DIGEST-MD5" -o "secprop=minssf=128" -o "authid=jimi" -h jgalipea-rhel4.idm.lab.bos.redhat.com -p 389 -w '!online3' -b "dc=example,dc=com" "(uid=jimi)"
version: 1
dn: uid=jimi,ou=People,dc=example,dc=com
uid: jimi
givenName: Jimi
objectClass: top
objectClass: person
objectClass: organizationalPerson
objectClass: inetorgperson
sn: Galipeau
cn: Jimi Galipeau
jpegPhoto:: /9j/4AAQSkZJRgABAgEASABIAAD/7QG4UGhvdG9zaG9wIDMuMAA4QklNA+kAAAAAA
 HgAAwAAAEgASAAAAAAC2gIo/+H/4gL5AkYDRwUoA/wAAgAAAEgASAAAAAAC2AIoAAEAAABkAAAAA
 QADAwMAAAABJw8AAQABAAAAAAAAAAAAAAAAYAgAGQGQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAA4QklNA+0AAAAAABAASAAAAAEAAQBIAAAAAQABOEJJTQPzAAAAAAAIAAAAAAAAAAA4Q
 klNJxAAAAAAAAoAAQAAAAAAAAACOEJJTQP1AAAAAABIAC9mZgABAGxmZgAGAAAAAAABAC9mZgABA
 KGZmgAGAAAAAAABADIAAAABAFoAAAAGAAAAAAABADUAAAABAC0AAAAGAAAAAAABOEJJTQP4AAAAA
 ABwAAD/////////////////////////////A+gAAAAA/////////////////////////////wPoA
 AAAAP////////////////////////////8D6AAAAAD/////////////////////////////A+gAA
 DhCSU0EBgAAAAAAAgAC/+4ADkFkb2JlAGSAAAAAAf/bAIQADAgICAkIDAkJDBELCgsRFQ8MDA8VG
 BMTFRMTGBEMDAwMDAwRDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAENCwsNDg0QDg4QFA4OD
 hQUDg4ODhQRDAwMDAwREQwMDAwMDBEMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwM/8AAEQgAr
 wCvAwEiAAIRAQMRAf/EAT8AAAEFAQEBAQEBAAAAAAAAAAMAAQIEBQYHCAkKCwEAAQUBAQEBAQEAA
 AAAAAAAAQACAwQFBgcICQoLEAABBAEDAgQCBQcGCAUDDDMBAAIRAwQhEjEFQVFhEyJxgTIGFJGhs
 UIjJBVSwWIzNHKC0UMHJZJT8OHxY3M1FqKygyZEk1RkRcKjdDYX0lXiZfKzhMPTdePzRieUpIW0l
 cTU5PSltcXV5fVWZnaGlqa2xtbm9jdHV2d3h5ent8fX5/cRAAICAQIEBAMEBQYHBwYFNQEAAhEDI
 TESBEFRYXEiEwUygZEUobFCI8FS0fAzJGLhcoKSQ1MVY3M08SUGFqKygwcmNcLSRJNUoxdkRVU2d
 GXi8rOEw9N14/NGlKSFtJXE1OT0pbXF1eX1VmZ2hpamtsbW5vYnN0dXZ3eHl6e3x//dAAQAC//aA
 AwDAQACEQMRAD8A6v6tfVn6uXfVvpN1vScK263Cx32WPx6nOc51Vbnve91e573uWiPqr9ViAf2Ng
 f8AsLT/AOk0vqqf+xfo3/hDF/8APNa02mHOafiPgUWMnXdzB9Vfqvv2/sbAiJB+y0/+k1h/WnoPR
 OndKt6hiYOEx5dTU1n2PFdWwusay25u7GNm9zDt99np/wDBrS+tf1rf9WacbKfgWZlFpLLranQK4
 LPpDa/6TPU2f1Fw3Vuo/XXruI7Exvq9e3pbHuvrZY1zXOBc66h/v27ntY/+bpS0VZ6WXa/xfYv1d
 6zh5lfUMPp2Xn4+Q6WDDorLKTDaB+jx6mP3OZa7f7/5an9dukdC6PR9tqpwsBmwNrqPTaL63v3H1
 N1jcax9L/T27N9no/yFwOHkfWro2TYzp+Pb0q+wMGRWW6Abi6n1Kcmv6b3fQfWk76z/AFp6lW9ud
 1Sy2txaTSA1rHB+53u9JjW/m+xAUUmXdan6we/Jf9i6dZSK5qLsLEbtduY/dt+yNdb+jbZVs3/4T
 eiYHXcrPvx6+n9Bxc2yoj7TW3CxXNtlw/0WFW/Gbs/R/wA49ZTcvAx84vvxBmNYx1QqeS1oI2hr9
 3u91bf5K9S/xffWy7Oyq+juxaMXEGH6+KKd+4Fj2suZYXlzXfzu/wDwaSh5l0ugdF6T1HHff1H6q
 4nS3SAym2jHeT+89prqa/8A7drWp/zU+q3/AJTYH/sLT/6TWqZ8VkdW+s/SOk42Jk5FjrKs+wV43
 ot9QuJaXtc1jfds9v8A00UkqH1V+q5J/wAjYED/ALq0/wDpNMPqt9WDt/yNgagk/qtOn/gauZ/Us
 LpnT39Qz7fs+JS0OsseDIkw1uxu5+9znbdiliZNWXS3Nx3iyi9rTjvHDmEb22D+tuSW2fFon6p/V
 hzmkdIwWhpkgYtHu/ku3VO/6Kkfqr9Vv/KbA/8AYWn/ANJrU4CUpKs93L/5q/Vb/wApsD/2Fp/9J
 pf81Pqt/wCU2B/7C0/+k1qaJJJs93L/AOan1W/8psD/ANhaf/SaX/NT6r/+U2B/7C0/+k1qymlJV
 +Ll/wDNT6rf+U2B/wCwtP8A6TS/5qfVb/ymwP8A2Fp/9JrUlKUlX4uX/wA1Pqt/5TYH/sLT/wCk1
 m/WD6tfVurAqdV0nCrcc3AYXMx6mna/MxarWS2v6FlT312fv1rpvmsr6yf8nVf+Hun/APt9hpUoH
 UP/0O7+qx/7GOjj/uhiz/2zWtC15YWP/NB2u+DvbP8AZcuZwMHqJ+rXQ+qdGsA6ji9Oxg7Gef0WV
 V6Nb3Ytv+it/wC42R/grP8Agnra6R1jC67gOtxwa7GzVlYtnttotGj6b6/pMex3+eiGKUTqfFvh7
 hI8Cl6jtzx37D5IQs/VzbZyxp9SPFn0/wDqVzLv8ZHQaw119d7S5rDYWBr21h8He9+9nsbu93sTq
 Wgna2f14xm39Er6iGluV060W1XN0e0j3Na138q5tXsd7F5Ha2y7KyKb9pdmN+0A1w1sH9ZawbNzf
 a2x36P/AAa9z6pXXb0zKof7mW02WDaCdWAW/wDSXgoqON1H0Jc0tea9p49wmo/5hQIFLgT1auS5j
 Xub6ZPBALiQAP0f/kVufVrJxn39OqyqhfUb3Y7qzY+kTaHMom+pzbGVtuLHPWPl1Gq30XCH/QLnc
 T+9/aUcV9jaLw0kW1FtrTHBYd//AH1Nql24fbenf4vOhYuJXXnetn5bdbcl99zdx/ksquaxtbfzE
 z/8XX1dOXRkOflvrx7RZXiWZDrKBt9wZ6d3qP8AT9v+kWrmdSqs+rT+pmz0a78Vtws19vqtaW8f1
 1ymJ9ZsBnUaQ7qIDBe1rt/qNEOO12tjNvfandFpu3tc+jGzcezEzaWZGNYAH1WAFroPqcfyNqnRU
 yimumlraqaWBlVTAA1oA27WtH5rVjfruJ9ZczO6lmT062oVYGG3hoqFL8q9zf33XvfXu9/8v/BrT
 w+r4Oda+jHcTZW3eWkRoTE/ij9EEG9S25Pj8E8puEpSQvKaT4pkp58UlMtx+CbceU0xP4JT49klX
 4stxTbo5TSE0iNAjSvqvv8Amsz6xuJ6bXp/2u6f/wC32GtFzo44PdZP1hd/k5n/AId6fH/sdhpEa
 EpjuNX/0e6+qsj6s9H/APCGL/55rWX13GyauuP6l0Nvo9Xx8Zlt1btKc+jc5j8Sx8bK8vH9NnoX/
 wA5+l/0X83TzfrRZ9WvqH0PIx6hdl5OJi1UNdowEY7LX2WfvN2tWS368253VqKMgC2m61lFRpBrc
 HvMMa8brfWrsf8AT2enYiRoxEkE+L1WN9benZ2G2ypjmHJLqrKLfY6q309zqbWRu91rmY68qzukY
 9fXT0+jMtPTHXsx32kAv9Jzm0Odx+Z7mM/kLT65flVdRf1fpLDbjZbRfjXxZVvFX6K71bL9rLrcW
 wfmrB6Xk5OWMi6wEF7y8WEF0mxxdb7j/KaiB0QARq919bPrpk4Po4fRvTqowWl7HvJc53oWX9MdQ
 WfQfU9tf53/AAdi4LKurzOp/bBaxpfa6wV7CwgFrn++NzWsY1tdDPej5OK697C4n9E7e0AaSDOqI
 KKpLi0AnVx8UiDtarcrONVra7aSS9pJc0gAy0/nBvt935idhcW2ZFohz3MbEae4e8fyv0a0q7atw
 rraXN27xa3VhJO32uas/L6hdiPcKo1IPunuxg8W/uJvD4rh2bnQ+t2dPGXjVktxcrGe22sud6fqj
 07KMk1WOHuZd7P0fv8AST5PUNtLLjDzvbB0ILmva/8Awf5u3/rionrWaafW9jp9hADtB/K9yevre
 Y6s2NY0u3CsME6yHO/6pqIHioi+j3v1g+u1zaun9UFFGQ64ZWM/ZYRWGCyp++sH9Mx/s99ljf0mz
 9Es/p3+MXK6fe7Kb02mw+k5rg25zfbLbN21zLf3Fx7OoZRtFleODbu9NzQC6R+5/X3K02/PzzXi1
 YBvsz/0VBa3Xe727a7CwfQ/P93sTvqiu779j5FWViU5dTg+u+ttrHNMgte3eC13t9vuU5+8IGA1z
 OnY1bqTjObSxpxyWk1kNa30v0X6P2fyESdPGUQFhXDj2S3xyPkmntGqYklGkLh/ZPMhRHEhSLhBj
 7ijSqWDT4mB+VLaJEyn8x2SM+KSQArQDhZn1hj9nM00+29P/wDb7DWn3lZv1iH+Ta//AA70/wD9v
 sNNlsV0RqH/0o5/1hxn9A6d0TM6XVmVUYGG6q6yxwLbH4tTm2taxn+D9X/Srm+iOZ0TqI6hXTVlP
 btNYumayDuc+h4dtba7997Hrd6x9VOof816PrLT1FrKa+nYT/sZpBPtx8bHj19350ep/Nrlc7A63
 i4VGbZdVZRcdjXVlri14aHvqtaweyxjXfQTqB7sUt6vd3M3qvTepu3NwmdN9Nux7K7XPrf6jm2W+
 ljbW14zLfT/AEram/pfUVVuTi1V7Kx6bG7ttYaQ0ay6BC55uPm5trKmWAOcSGgnbqA50+1Es6L1A
 u/nNQADq7mPglQ7J+roDKyXuLojc4kCSYA+j+ahvy8gscbBAgiCdCP81U39K6gSHMfHtAMOdyAA7
 slZ0zqRcNj49oB9zuY9yX0UAO7bxLsimkVsG1jSNrZEAc6afnKQzy+styKm2Bp+i8A/2gqb+n9UL
 m+nYWw0Ane7Uge4qL+n9VO3Y8yGjd7zqZKX0VQ7tin7IHa1AV7nF9eoa7/R+3d/g0R1WLYIZQ1rG
 S4wQBvJ05du9jFUdh9X9mywhwbDvedTLv8Avqk/G6uWs2vdvAAd7uTLnT+LEvoqvF0Dj4zY0jdDt
 COf3tFq/UvKbjdRZnG9rKsXFzHY5thrGPcGMrbXv+g/b/25sXNPxurENIc4log68mT7v80rQ6N0j
 J6jn04uVea6BTbkZUNBeK6GepZs9UelbZZP6NHTsUcI6Ps2H1Wl/TsOx+RXfkWV0uu2ubuO5gfbZ
 sYVc3AtBB0cAQe+o7rM6T03pr8et1OBZhG7Ha51zhWx7mumva9+K57d+39P7Hez1Fq+m0MDB9FoD
 RqTo32jVPFLSGBsA7+WiaTAj4fep+mAeU4aAEbCKLGT3TtIPClAOh1TtZ5QhYSAxLoEjukC6dPJT
 DIPGnZSjVCwkBiNBJ5KzfrFH7Nrj/ub0/8A9vsNaRDpgdpWb9Yv+Ta9Nft3T/8A2+w0JbLojV//0
 xdf6rXjfVHC6fcLa/tXTum2VuFLjXbsYzfV9oa7+cb/AK/TXCuvonSt8Ekx7hqe6906Fg43UPqZ0
 vCzaxfi39Pxm21OmCPRq7thzeFnZn+Lf6lV1C0dLa1rDueftFzBA/emx7E7U0xkR1t8dpzfQtqyW
 kVmskNa7cRDg8Pc4Sj2dbsBO59QPkx3hp3Wr1LovQsbrXUOm49fq0sey2p7t4cKy19tjK7mPdU6p
 ltlFPvr32en+jVJ3RsFx1rPhO48AQEdR0Vo1XdZta8tc6toAad212sidPvUj1h4ID7K5iR7X8Ebm
 o56Rhu1dWZgfnngANH5qi7pmDZa5hY4va1p+npH0W/mpWVWOxRnq7g73vqEgEe1/BCb9sWNjc+oT
 q3R40PdWD0nF3NfDg5gAB3cbdG/mqDuj4jtsh/taAPcBoP7KWqtGA6vYCNxqEjc0ndEcfwUv2tYC
 PdT7hIlztR/q1JvScG+tj27y2IYdw4BP8n95TPRsU7Z3/oxtbqOJLvD+Ujr2VopvVnggRVqJHvIB
 H3fyVYxfrH9jdc91TXevhZGM3ZaAQb27GWbnj81zUOvpWOw8bxsNbd4a7aNTua0j6fu+ktf6p09K
 xPrDhX9Ra042Ix5qJaNLXOqpx3W7Z9Xa679H+49LWkWL2fUuhu6g/puJ9soqpH2WrSt5sIdr7J2t
 +jS2r/rivbD2TY+VTl0MvpcC2xjXhoIJAcNw3bS5TJ1+CQtNBhtPcJxXPPCkCJ3Efcm3CAfwSsq4
 QuGgfwTwAkIjXgJTyQeULTQV8u6WnP3pdvjCWg1lLVVKj5lZf1jH+Tqx/3e6f8A+32GtSdOf71mf
 WOP2bXr/wBrun/+32GgbpID/9TF6x1nrHodP6e7c7p7em4dNVdJsa4F+JTcbbdv6N36Z/8A20g/U
 7rF3ROr1X77XVZ84l7A7VjrXDbksbZvr9Sh7N/vZ/ISzG9SF+O+mzbUOnYHp1v1a4nDxWe0T9Fjj
 v8A66zLRl5Q9T0C2+tx3vr3NIcCPSs9n57dt30E4X126LDu731+xbzmt6jRm/aa8+hlxeyK7Aag2
 nbY2r2td6T6t1bPZv8A8GuNdl3Nkb3y3/hHdlrZuR9Ycssdn5lntr20uumdg93pt3/mrKOE7fL7a
 3BxEGfpE/L2pX2UPFc5OTGht14O93dOMrJFbRufuBJLgYMH6Mv+k5X3Mx62tBtr+i0GDOoH8kKDh
 RDdhFk6uazVwbrNhb+6xLVX0ajM3I/euPjD/wDYk7LydpAfcD5vlWBSa3S0C0PcI9NwMA93/uo/2
 YHaANXJWqvBqHPvDpDrGsn2tZDQO3gn+35Wmx9vidxH9yPkUBjGmBqQnqqFtRc5sgmIHEQjZRohb
 n5oBl74HOo0/wCij4t3UH2AtuILixrRLdw/SVvlpdt+jYxln9hS+zthwDdSIHyCs4mLh/sTKxLqP
 W6plWMbjWbAfTEsrhl27d+l3e9m1EkqfbcKnIx6fTyHVu2MbWz0x7yGe3dbb+jbY5zdv0Ka2MRS4
 HvxyoMrrxqmY9ftrpa2tvwY302/9Sm3iTqkAlJMcJTEd0H1NNPHhI2AjQ+YKBKk25OHSEDdH5U4e
 NuvJQTTZa78n5E8jx0QA8xyph3YpwCEnImVmfWP/k6vX/td07/2+w1oHiB4rN+sLp6fX/4e6f8A+
 32GkRokbv8A/9XFy7thxJMtGDgcctnDxVXy8J4rJqvsxx9N2x5YCY/O2wmzARnYjXSPWwenBh/NM
 YmJ7f660LmB4c1wG0zIKlABAYzuWnTiVgPeLrLLHD3Wi0ucf6ztygKbK7A833PA0O55P3K3WxjGN
 DAGiBICjYyQfFOpDQftrtcz1bJJG943CZ1aZn3e5O6ix9jBF9pMt1Fh49/va76XuatCjGw8rFyqr
 g05DG1uxXPJDI3/AKQOj/R/SYqA6FczqFWRTnVMYx4e6t7rH6g6t+h9CxMNqDVqDy3JNZHqbiGE6
 iY/ORmMsDmud9EAbiODp/5JXK+h4+PY/wCz9SaMYucWUvpLiGE7mtdZ6jXb2q3Vh9MZAuynPx2av
 a1myRB/whc7YopQnYqOjIDGtZOJmVu2s2Ncfd2BWh9VPqp1b6wfbPs2UzBZhmsRawvDi/fu2u/N2
 7Fu/tXp7K3YlcV45rbW1lbQHNEPqd7y4uf6k+xE6V9YemdJtvzMag3WvxqcZm87WhlO/a6wt3bvV
 b6e9/8AwakIOiwFA7/Fn9ZhEdSwiTzLHj/qa3I+P/i467XdXZb1bHrax7Xl9VLnPBadzSxtmyv6T
 fzlfq/xhNfUz1MZjbyDv2Oc5gPi2Q1+33NTj65sdY0WOhnL21w10/yHOFjU7h81W9Pi15GPR6eTk
 vzrdxcb7GMrJB1DdlAYz2okkcrmcz62YZ6decI2/bGs3U+oN25wId6ftdt97dzfoqn0L613ZONd+
 0LG02svLWeqwteWFrHfQa+r2scjRpPCd3sS7Ux4/imJJ+UCPiuPv+sbcjq92AzMGFXWG1euz9I0W
 7m/ptr3fpKvs72761XzP+dWELsinKry6XDcczG2kGB+i9elv6w1NITb24LjwDCW4g8GfxXmtvWus
 5GO1uR1FjgXtmqk2MfPu5cWMb6bf6y2+gdUynVNrv6uzFro1ZTbV6r3sI32P9d7vo7vYm0p7Bj/A
 I+KMw6TwOPD8qxLvrR9W6L7KLc9lb2OLHaPLZB9217WbH/2Vxn10zMPO6qbsTJ9fHsppAewnaCA+
 t23j91OElU+ohxHbULP+sJ/yczTT7b0/X/0Ow1zfVfrnm9N6P0W7p7KrPtmM/1H37nkPxjTjva3a
 W/nufv3qm/61dTy/q1m9QyTTY9t2NlY7GMIDPQzcOr0X+73sc9nqfSRkbBUBqH/1sLJrLszp5Oo+
 x9PMRP0cPGd/BHtyBU2XVWWgzrWAT9znNVfMy31ZODsIaWYOBBcJEnCx/gs/I+sGULRVjtqNupfI
 MNA/N+l9JSA0GMiyW2Or1+m3diXgx7tGxP+emHVKXGG493z2D8fUWDfVk5GQ66x8PMfRPgNqb7Hk
 Dl7/vKHEU0HqKCCdwZ6gYQLKm+47XiXN9n8lbB6NiuggPDSAQZPB14XB1U51VnqU32V2AfSa4zE+
 K12Z31ptrDqepaR+c1o0H8trHbk4TA3BRwju71/TcCpoLjY2O8OIn+zKo5GBW8luDm1msgh4cRJJ
 /NWcT9c31mwZ+9rdSGO939luxqxsw2ZOTW7Iudc6Buc8AGdfL+SkZjsrh8Xp8fph+01nLzKxWGal
 jmyIEs+l7VYPS+itaJ6kGkN2n318D6PdchXgVHV1b3Me702vYNA8lo1kfpNu/8AmmKLsSphIcIcx
 xa5pGoI0/6pAT8FGPm9ecLoNLt37UYIBB99f50dgf5CE636uVOk9UBaP3Ycf+juXLsxqCZhvwVhl
 GODAhHj7BVDxdz9q/VthhubZZHJFLj/AN9THrHQS0A3XWfCg/xcsprKAOyVrKpY4Q9gcC6udsgD9
 7+sncRPQK08XRPVOgEz6Vr3DUH0AD/neorGN1XG0GLTeHabZbtAP/bizsNjdjWgmxzWiWgTtknur
 Yu9KXODmMETuECfjCX0VTpudjWuD78YSfzmaGf7BSr/AGe521tttLXHY4bQ87S7Zta72/nLPbn1f
 vD4ynZm08kwB4d/klUeyrLrW9B+rf2Gu37flk4zQBXXQxxMaS1rHHf/AJ6jk9Bq6p6VnTbbhW1ra
 rWX4767GwdHtr/Pb7vcs9nV/SLWMIbWBMzER/JV6r60OaQQ8gjgzEICEU8RQ/WjpGV0fpPTca1z7
 WttzHVvczbBtGPb6ew/mbqn2LI6Z1Kfqr1jpjgRdXWy9s92uzen/wDfnLe6n17C6xjV1dRucPQLn
 VvBkgubsdLX/T9qzKMPE+ydTyq7mOxTTTQbR5Z3THW+0/6Fuzf/AMYo5aWFwBf/1+Q611bIovpxm
 V1Fv7PwBvc2Xe7BxZ90/wApZNeK27GFwexpBLfSj3EN/P3/AMpW/rCW/b6PbJ+wdPkz/wB0sRZog
 6RHzStFMTQIJa5EbS9vDnDxglNtb3nw01RcfGsudYWPc1rCGgcmSgldtVsQLX7fiVcqEOAe95GkC
 Tx4KgGXix9W7c6t+1xB00KM9t7K3uDpNbh3HBGv9ZOBRT02JmYdTQ4F8jgzrChdR9WcnLDr6Hh9w
 Jda2xwO8eUuasLFcLfVNl769v8ANwwODj5lzq/+pRdlGv669pbBYPRkkke7i381HisIAorWWVMNt
 GM57KarC6gudMaBrj/X0+ko/ZcltDMr7GLq7Ya53Lg76MFv0mb/AMx356DlV00WhjLjkMf7vV2Fk
 kiPT2O/6pXaqHMbXY3qTK7GwQIslumn5j2qMA8RLNkyRlAARpzGEVWODqQ924tax06GfD/oLbbi4
 uRseypmLlsABxbmbqnscI9QfRdvah12VMbtZfjTt5/SjcZ36/of31Tsx7K9nqZNV7nODWljnOIG3
 zaHNr935iIkexCygW02gVZuVlvxHO6fjHZ7QNvuDWUbHO9r3u/nFbx24mRiuy6umWvx69hssAaQ1
 ryWNe73fQdtWe3qL2MtY0B1LfbYHPdufEe6tutbfS2NRsvpfVrhiCjDAdeH7DuYS8AfT3bw522v3
 p4kei0gdm1j3U44yM/Dq2VBhrvYedrX1/RA/Pc5yBn9bx8/Dfh01WMfYQ73ODg4MPqfR2t2/QR/2
 V1Q4hrZ0gAWNLW5Dd5c5wdD3w32O3KjV0vq2Pkh1/T8h7KmPJHpvAMsLW+9rP5aMpSqkgRG+rm1l
 wLXNho1LrP6pDtuiuvfjw97fayyTUHySdv0g0g/vKbMOn7BjttxrWXsN32h0WSWzW2v2bfZ6bfch
 vpq9lrdzq6nbIIcJ3O9z27v3PzkwGjVlUwCNBTTbc9zxu0BdImdB4J723Focydo9r9skT9Ld/mp7
 KmDqBr9RoBIIP8AW1V77PYKX47byKrHBzmDQEtGm7VO1RQamOBXWy187jvPv1kBzR+d8Fv9LyLP+
 aXXK3NaKCaXtbzAGT04e1n5rXtd71gvxWsvqqY/e646tj6IJGqvdJq/UuuHf+iOPUwPI0JGd03e/
 b+61RyjZHgUx0uzdv8A/9DjOvYxfl47g6JwOn6AD/uFiLO+wv0IsgnyC2esen6+OS4gjAwJAbP/A
 GixO6ot2QdxcOwgA/8AfkaCNWoMO3/SpMxbqy51V20u5291aJb23EdyYlO5zIOxriR3JHf4IUE6t
 RuA9pO22DrJHJUhhWAmL3anWPJWBawN9zHEyRIcB+G1JltY+kwv+cI6I1RfZbe97vh8VJuLbP8AP
 O+JRdzd07fb4Sfypi+dWiBPiSkKUjfiOfBdadOCeyL6dvawmBqQO6Rta4QGAEfnSdfjrtUvWgFu0
 AjwkfxR07KY+lYPzna8iE+093mBxomFzxoYggiTzP3p/V2nhp3HUESl9FIn4lb3OLnP95BcBwfPR
 G2uPL3adxCRtk/RaB4D8nKl6oiAxg89e/zSFdla92VTnMdPrWQPBxb/ANSUQX5G8vbl5DCezbXjT
 t+eq7bYAGxroPef70/qtmdjfhr/AHp1hSRt2Yy71qs3JruMk2B53e4bX7nz+ci09U6xjWvuqzrS+
 0Q8uh0x7uHhyr7wTG0QPAmfylMHN42z2mSClopunrnVTY219tVj2zBfRU76Q2+72e5Ug6zXc4GSS
 dAPpEvMAf1kiRyAY45UmBlhIG2tx43vhv4hA0lEamm8Xglj2kHcPLQe0yrfT6i3pPVq95LBi1hoI
 EjfndOLvyJHp+Rt3Gv2HhwsBH36q1iY9rOndWlujsekD3A853T0DVKf/9HqDT9V8Dp9Npf1HGwmX
 ZOG0Nzs0NqGA3Mde70qs136u2rpd/oeizf/ADP6H9yTqOn1sa27E61Vl2WCrHw3dQyC+0ltt/6HI
 Z1R/TvZTi5NljLc2q2v0f5v9YxPtFuvpLPXqDOp1txGZeXdgtqa31xmXDNGWz7TbZfjZH2V2V1Fz
 MX9n+pV6Ff2j1fs2R6+fj9P6P8AsbMvq6n0j7C6ytt4px6h0oGs6DLwnZVrPtdr8mnfezPxrf1fp
 f8Ag6PTyUpu29P6TT04Z1v7VrlzahjOz81tvrPsGJVje7O9HfZlPZTXf632N/8ASPtX2T9YSpwOi
 mpj8yzqPTbLLhjtpy+pZbHOtcN1VNL2dQtx8l9rP5v7Lff/AKL+fpuqrsN6bi/83cfFbm1+l6lF+
 LlCPQ9T7RXm4FWPV6m39n/afQxsPDryd/2L0cSnJ9T9Ose36u9EynXXXdTxjb62XZ1ZlD3Y9DmOb
 h1dXqdTh5tV+O9jMTCdlvy8vLpZkZN1+XjP+0Y/oJTq/sr6vC22k5+T6uO6tl9f7UzNzHXkNxWWs
 +27q35Lnfq+/wDnv8GhDF+qjm4z29VuLc1xZhuHV8qLnNcKnMxj9u/Tvba70/0X56q9Q6J0VzXvz
 +qYzcFl1ttdd3p7dr+oYvUer0Zb7bvSyGftDHpwGfosf7H6/wBnyvtl6P8AWDDss6vjuxrq2+tZg
 ftD1SzayvFy/teBDjkU5FFudkPy8ajbh57Mu9ldH6l+kvSU28fovQ8r1Ps2Zl3+hY6m70+p5j9lj
 P5ymzZmnZayffW73qlXV9XrcXGuZd1E25TqWDDHUcz7Qx1z3UuZfj/b91b8R1GZ9t/0H2DP/wC4t
 qtfVbo/TulVPrxMtua59NHpWiyyx32NosHTd3rZOVVs1ytl2HXh4d36T0MWr01HE6b0qv6wPz683
 HsfZZd6eG3ZLbHtbV7IsP6Wm7A+sFv81v8AV6j1n/u766Up2B9WWUX5L+pZDcfFsNOTcerZYZVYC
 1jqb7Pt2yq1r3sb6dnvVfGb9VMm7Lpr6jkh2E0W2l3VcqDQ6qjM+3Vxnn9S9LKr/Wf5vehP+rdjc
 3Ka/rFNmdmOo9H1xeb2Nr/aFjHUuo6ni305GSy3L/5N+wYX2fHzqqOnsosv9O/T0rHr6gy1/UW3X
 s6iMhzXhgsdaOm/s44z/SdWz7Q/H/yn+jor/Q/9p/R/SpKRY+H9W73YtX2/Jrys2luRRiO6tkm1z
 HNNm+tlPULW3M2ss/S477qf0fstVfOf9T8Guyy3qmQ70cirFvazq2UXV2Wv9ANva7qDfS9Lbdddv
 97KMbJs/wACp4vROn14mNW3qlL2143Rqm2DbDm4WS/Iw72/pj7OrWu+z438v+a+0/QVTpfSw5mTV
 ZmU14tVPTKOk2uNZc6vDyL7ukZV7aMrIZlY+fe6mqu1tnT7s/8AWKasTB/RvSU6t3Svq9Ra+m7Py
 araqTk2Vv6pmNc2hp2vyXsdm7m47Xf4b+bU8XovQ82huTh5mXk49k7Lqup5j2Ogljttlea5jtr27
 VS650Tp+W7qHrdUpxaMh1zrGv27q8t/T39Pe59rrq2fZ6uju+2/Y/SZf/2r+2fZf0S2un41VOX1K
 yu9tzsnJbbbW2JqcMbEx/Qshzve6qivI/wfsyP7aSmv/wA2unf6bP8A/cjnf+9ir5/R+k4GK7Jtt
 6i8BzK2Vs6hmlz7LXtx8elm7NYzfdfbXVutfXT/AKayur3reVHrGNVlYPpWXtxiLqLKbXwWi+u6q
 7Da9pdX6jLMuumr0W2VWX/zNVtdvvSU4teHgHK+yup6q91Tq6cy+jqOZZRTfYyu70Duzac65m3Ix
 3faasD7Oyu71b/Q9LK+z5g6x9WXdMp6iyvrVn2it1jMRmblnI0uw8Sut1A6l/O5P7VwsnFZu/TYl
 vrfn1ep0eLhZv26++jMppbfdVd1PFrb61jMhtONW7HpzHuqZVj2Y9GLubf037S+m2y6qzG9ej7Ni
 UfVzoos6bbR1ikuxcbDxnNaayy52Pf0nLqy2Vtt9mRmVUdOxN++/fTldL/0VH2hKbteP9XLMbOzB
 lZ/2Tp2t+QOo5r2OZ6FPUfXo9HNsddV9myq/oqlRkfV99WS66zNqs6dSx3UgOsXenRkuDf8mOvt6
 nRuyPVd6LMjZXg+syyn7V69dtNd3p/RelUU2fZ+o129Ot6nTnGuWFgmrG/ZnTqrq3tbVVVkt6bk9
 PZX/wBpfsmD6dtFv6W3mdNxbcD6xUvza62dR9T7TaYjF3YePiO9f9I36FNTMz9I6j9Fd/11JTXGB
 0UZubiX2dRxx0+mrItyLepZbajVb636Zjx1BzmMqdiXtu+0Mo+h/ov0iFl9N+rzXY/2u7Jd03KaL
 sbNPU8x9Rsqa/qEvnL2VMZj4327FzN76f0Fv9Gs+y/arXWOkYWbfnetnNx7MinAra0O2OrfRk5GR
 gWufXbTfszMy37OxlVmNc/0bGYuT6/8yJvR6Tj4WHTl011Y7sj0LW2Wufb1G1mbRne5+T9rayj18
 /Ispr6jZn+t/wBqsT7B+tJT/9k=
description: Description number 79


2.  scripted repeated above searches and interrupted with Ctrl-C

3.   cat /var/log/dirsrv/slapd-jgalipea-rhel4/access | grep sasl_io_start_packet

no errors

4 .scripted to repeatedly modify this entry and interrupted with Ctrl-C

5. cat /var/log/dirsrv/slapd-jgalipea-rhel4/access | grep sasl_io_start_packet

no errors